## robocode
Class GunTurnCompleteCondition

    java.lang.Object
      robocode.Condition
          robocode.GunTurnCompleteCondition

    public class GunTurnCompleteCondition

extends Condition

A prebuilt condition you can use that indicates your gun has finished turning.

Author:
  Mathew A. Nelson (original)
See Also:
  `Condition`

Field Summary

Fields inherited from class robocode.Condition
`name, priority`

Constructor Summary
`GunTurnCompleteCondition(AdvancedRobot robot)` Creates a new GunTurnCompleteCondition with default priority.
`GunTurnCompleteCondition(AdvancedRobot robot, int priority)` Creates a new GunTurnCompleteCondition with a specific priority.

Method Summary
`boolean` `test()` Tests if the gun has stopped turning.

Methods inherited from class robocode.Condition
`getName, getPriority, setName, setPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GunTurnCompleteCondition

    public GunTurnCompleteCondition(AdvancedRobot robot)

  Creates a new GunTurnCompleteCondition with default priority. The default priority is 80.

  Parameters:
    `robot` - your robot, which must be a `AdvancedRobot`

### GunTurnCompleteCondition

    public GunTurnCompleteCondition(AdvancedRobot robot,
                                    int priority)

  Creates a new GunTurnCompleteCondition with a specific priority. A condition priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

  Parameters:
    `robot` - your robot, which must be a `AdvancedRobot`
    `priority` - the priority of this condition
  See Also:
    `Condition.setPriority(int)`

Method Detail

### test

    public boolean test()

  Tests if the gun has stopped turning.

  Specified by:
    `test` in class `Condition`
  Returns:
    `true` if the gun has stopped turning; `false` otherwise